<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>CentreCommercial</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CentreCommercial";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CentreCommercial.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Case.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Chance.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/CentreCommercial.html" target="_top">Frames</a></li>
<li><a href="CentreCommercial.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class CentreCommercial" class="title">Class CentreCommercial</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../back/Case.html" title="class in back">back.Case</a></li>
<li>
<ul class="inheritance">
<li><a href="../back/Propriete.html" title="class in back">back.Propriete</a></li>
<li>
<ul class="inheritance">
<li>back.CentreCommercial</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CentreCommercial</span>
extends <a href="../back/Propriete.html" title="class in back">Propriete</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#CentreCommercial-java.lang.String-int-java.lang.String-int-int-int-int-int-">CentreCommercial</a></span>(java.lang.String&nbsp;nom,
                int&nbsp;id,
                java.lang.String&nbsp;couleur,
                int&nbsp;prixAchat,
                int&nbsp;coutLoyer0,
                int&nbsp;coutLoyer1,
                int&nbsp;coutLoyer2,
                int&nbsp;coutLoyer3)</code>
<div class="block">Constructeur d'une case CentreCommercial.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#acheter-back.Joueur-">acheter</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode d'achat d'un centre commercial.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#getCoutLoyer0--">getCoutLoyer0</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#getCoutLoyer1--">getCoutLoyer1</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#getCoutLoyer2--">getCoutLoyer2</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#getCoutLoyer3--">getCoutLoyer3</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../back/Joueur.html" title="class in back">Joueur</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#getListeProprio--">getListeProprio</a></span>()</code>
<div class="block">Méthode de récuperation de la listes des propriétaires.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#getLoyer-int-">getLoyer</a></span>(int&nbsp;nb)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../view/CentreCommercialView.html" title="class in view">CentreCommercialView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#getView--">getView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#payerLoyer-back.Joueur-">payerLoyer</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode de payement d'un centre commercialß.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#recurence--">recurence</a></span>()</code>
<div class="block">Compte le nombre de Centre commerciaux possédés par le propriétaire.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#setCoutLoyer0-int-">setCoutLoyer0</a></span>(int&nbsp;coutLoyer0)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#setCoutLoyer1-int-">setCoutLoyer1</a></span>(int&nbsp;coutLoyer1)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#setCoutLoyer2-int-">setCoutLoyer2</a></span>(int&nbsp;coutLoyer2)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#setCoutLoyer3-int-">setCoutLoyer3</a></span>(int&nbsp;coutLoyer3)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/CentreCommercial.html#vendre--">vendre</a></span>()</code>
<div class="block">Méthode de vente d'un centre commercial.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.back.Propriete">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;back.<a href="../back/Propriete.html" title="class in back">Propriete</a></h3>
<code><a href="../back/Propriete.html#actionCase-back.Joueur-">actionCase</a>, <a href="../back/Propriete.html#estPossedee--">estPossedee</a>, <a href="../back/Propriete.html#getPrixAchat--">getPrixAchat</a>, <a href="../back/Propriete.html#getProprio--">getProprio</a>, <a href="../back/Propriete.html#setPrixAchat-int-">setPrixAchat</a>, <a href="../back/Propriete.html#setProprio-back.Joueur-">setProprio</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.back.Case">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;back.<a href="../back/Case.html" title="class in back">Case</a></h3>
<code><a href="../back/Case.html#getCouleur--">getCouleur</a>, <a href="../back/Case.html#getFiche--">getFiche</a>, <a href="../back/Case.html#getId--">getId</a>, <a href="../back/Case.html#getNom--">getNom</a>, <a href="../back/Case.html#setCouleur-java.lang.String-">setCouleur</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CentreCommercial-java.lang.String-int-java.lang.String-int-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CentreCommercial</h4>
<pre>public&nbsp;CentreCommercial(java.lang.String&nbsp;nom,
                        int&nbsp;id,
                        java.lang.String&nbsp;couleur,
                        int&nbsp;prixAchat,
                        int&nbsp;coutLoyer0,
                        int&nbsp;coutLoyer1,
                        int&nbsp;coutLoyer2,
                        int&nbsp;coutLoyer3)</pre>
<div class="block">Constructeur d'une case CentreCommercial.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - Le nom de la case en String.</dd>
<dd><code>id</code> - L'identifiant de la case en int.</dd>
<dd><code>couleur</code> - La couleur de la case en String.</dd>
<dd><code>prixAchat</code> - Le prix d'achat de la propriété en int.</dd>
<dd><code>coutLoyer0</code> - Le coût du loyer quand le propriétaire possède 1 centre commercial.</dd>
<dd><code>coutLoyer1</code> - Le coût du loyer quand le propriétaire possède 2 centres commerciaux.</dd>
<dd><code>coutLoyer2</code> - Le coût du loyer quand le propriétaire possède 3 centres commerciaux.</dd>
<dd><code>coutLoyer3</code> - Le coût du loyer quand le propriétaire possède 4 centres commerciaux.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Propriete.html" title="class in back"><code>Propriete</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;<a href="../view/CentreCommercialView.html" title="class in view">CentreCommercialView</a>&nbsp;getView()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../back/Case.html#getView--">getView</a></code>&nbsp;in class&nbsp;<code><a href="../back/Case.html" title="class in back">Case</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>La vue de la propriété.</dd>
</dl>
</li>
</ul>
<a name="getListeProprio--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListeProprio</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../back/Joueur.html" title="class in back">Joueur</a>&gt;&nbsp;getListeProprio()</pre>
<div class="block">Méthode de récuperation de la listes des propriétaires.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un ArrayList des propriétaires de Centre commerciaux</dd>
</dl>
</li>
</ul>
<a name="recurence--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recurence</h4>
<pre>public&nbsp;int&nbsp;recurence()</pre>
<div class="block">Compte le nombre de Centre commerciaux possédés par le propriétaire.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le nombre de centre commerciaux possédé</dd>
</dl>
</li>
</ul>
<a name="getLoyer-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoyer</h4>
<pre>public&nbsp;int&nbsp;getLoyer(int&nbsp;nb)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../back/Propriete.html#getLoyer-int-">getLoyer</a></code>&nbsp;in class&nbsp;<code><a href="../back/Propriete.html" title="class in back">Propriete</a></code></dd>
</dl>
</li>
</ul>
<a name="acheter-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acheter</h4>
<pre>public&nbsp;void&nbsp;acheter(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode d'achat d'un centre commercial.
 Changement de propriétaire via la super classe.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../back/Propriete.html#acheter-back.Joueur-">acheter</a></code>&nbsp;in class&nbsp;<code><a href="../back/Propriete.html" title="class in back">Propriete</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Le joueur qui achète le centre commercial.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Propriete.html" title="class in back"><code>Propriete</code></a></dd>
</dl>
</li>
</ul>
<a name="vendre--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>vendre</h4>
<pre>public&nbsp;void&nbsp;vendre()</pre>
<div class="block">Méthode de vente d'un centre commercial.
 Ajout de l'argent au joueur en paramètre.
 Le joueur recupère la moitié du prix d'achat du centre commercial.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Joueur.html" title="class in back"><code>Le joueur qui vend son centre commercial.</code></a></dd>
</dl>
</li>
</ul>
<a name="payerLoyer-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>payerLoyer</h4>
<pre>public&nbsp;void&nbsp;payerLoyer(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode de payement d'un centre commercialß.
 Ajout de l'argent au joueur propriétaire..</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../back/Propriete.html#payerLoyer-back.Joueur-">payerLoyer</a></code>&nbsp;in class&nbsp;<code><a href="../back/Propriete.html" title="class in back">Propriete</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Le joueur paye le propriétaire du centre commercial.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Joueur.html" title="class in back"><code>Joueur</code></a></dd>
</dl>
</li>
</ul>
<a name="getCoutLoyer3--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutLoyer3</h4>
<pre>public&nbsp;int&nbsp;getCoutLoyer3()</pre>
</li>
</ul>
<a name="setCoutLoyer3-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCoutLoyer3</h4>
<pre>public&nbsp;void&nbsp;setCoutLoyer3(int&nbsp;coutLoyer3)</pre>
</li>
</ul>
<a name="getCoutLoyer2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutLoyer2</h4>
<pre>public&nbsp;int&nbsp;getCoutLoyer2()</pre>
</li>
</ul>
<a name="setCoutLoyer2-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCoutLoyer2</h4>
<pre>public&nbsp;void&nbsp;setCoutLoyer2(int&nbsp;coutLoyer2)</pre>
</li>
</ul>
<a name="getCoutLoyer1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutLoyer1</h4>
<pre>public&nbsp;int&nbsp;getCoutLoyer1()</pre>
</li>
</ul>
<a name="setCoutLoyer1-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCoutLoyer1</h4>
<pre>public&nbsp;void&nbsp;setCoutLoyer1(int&nbsp;coutLoyer1)</pre>
</li>
</ul>
<a name="getCoutLoyer0--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutLoyer0</h4>
<pre>public&nbsp;int&nbsp;getCoutLoyer0()</pre>
</li>
</ul>
<a name="setCoutLoyer0-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setCoutLoyer0</h4>
<pre>public&nbsp;void&nbsp;setCoutLoyer0(int&nbsp;coutLoyer0)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CentreCommercial.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Case.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Chance.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/CentreCommercial.html" target="_top">Frames</a></li>
<li><a href="CentreCommercial.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
